Uses of Interface
io.vertx.core.MultiMap
Packages that use MultiMap
Package
Description
-
Uses of MultiMap in io.vertx.core
Methods in io.vertx.core that return MultiMapModifier and TypeMethodDescriptionMultiMap.add(CharSequence name, CharSequence value) LikeMultiMap.add(String, String)but acceptingCharSequenceas parametersMultiMap.add(CharSequence name, Iterable<CharSequence> values) LikeMultiMap.add(String, Iterable)but acceptingCharSequenceas parametersAdds a new values under the specified nameAdds a new value with the specified name and value.Adds all the entries from another MultiMap to this oneAdds all the entries from a Map to thisstatic MultiMapMultiMap.caseInsensitiveMultiMap()Create a multi-map implementation with case insensitive keys, for instance it can be used to hold some HTTP headers.MultiMap.clear()Removes alldefault MultiMapMultiMap.copy()Returns a mutable copy of this instance.MultiMap.copy(boolean mutable) Returns a copy of this instance.MultiMap.remove(CharSequence name) LikeMultiMap.remove(String)but acceptingCharSequenceas parametersRemoves the value with the given nameMultiMap.set(CharSequence name, CharSequence value) LikeMultiMap.set(String, String)but acceptingCharSequenceas parametersMultiMap.set(CharSequence name, Iterable<CharSequence> values) LikeMultiMap.set(String, Iterable)but acceptingCharSequenceas parametersSets values for the specified name.Sets avalueunder the specifiedname.Cleans this instance.Cleans and set all values of the given instanceMethods in io.vertx.core with parameters of type MultiMap -
Uses of MultiMap in io.vertx.core.eventbus
Methods in io.vertx.core.eventbus that return MultiMapModifier and TypeMethodDescriptionDeliveryOptions.getHeaders()Get the message headersMessage.headers()Multi-map of message headers.Methods in io.vertx.core.eventbus with parameters of type MultiMapModifier and TypeMethodDescriptionDeliveryOptions.setHeaders(MultiMap headers) Set message headers from a multi-map. -
Uses of MultiMap in io.vertx.core.http
Methods in io.vertx.core.http that return MultiMapModifier and TypeMethodDescriptionHttpServerRequest.formAttributes()Returns a map of all form attributes in the request.RequestOptions.getHeaders()Get the request headersUpgradeRejectedException.getHeaders()HttpClientRequest.headers()static MultiMapHttpHeaders.headers()static MultiMapHttpHeaders.headers(HttpVersion version) HttpRequestHead.headers()HttpResponseHead.headers()HttpServerResponse.headers()ServerWebSocketHandshake.headers()Returns the HTTP headers.WebSocketBase.headers()Returns the HTTP headers.default MultiMapHttpServerRequest.params()HttpServerRequest.params(boolean semicolonIsNormalChar) static MultiMapHttpHeaders.set(CharSequence name, CharSequence value) static MultiMapHttpClientResponse.trailers()HttpServerResponse.trailers()Methods in io.vertx.core.http with parameters of type MultiMapModifier and TypeMethodDescriptionstatic ClientFormHttpServerResponse.push(HttpMethod method, HostAndPort authority, String path, MultiMap headers) Push a response to the client.default Future<HttpServerResponse> HttpServerResponse.push(HttpMethod method, String path, MultiMap headers) LikeHttpServerResponse.push(HttpMethod, HostAndPort, String, MultiMap)with the host copied from the current request.RequestOptions.setHeaders(MultiMap headers) Set request headers from a multi-map.WebSocketConnectOptions.setHeaders(MultiMap headers) HttpServerResponse.writeEarlyHints(MultiMap headers) Used to write an interim 103 Early Hints response to return some HTTP headers before the final HTTP message.Method parameters in io.vertx.core.http with type arguments of type MultiMapModifier and TypeMethodDescriptionHttpClientRequest.earlyHintsHandler(Handler<MultiMap> handler) If the server responds with an interim HTTP response with a status code of103and a Early Hints handler has been set using this method, then thehandlerwill be called.Constructors in io.vertx.core.http with parameters of type MultiMapModifierConstructorDescriptionUpgradeRejectedException(String message, int status, MultiMap headers, Buffer content) -
Uses of MultiMap in io.vertx.core.spi.observability
Methods in io.vertx.core.spi.observability that return MultiMap -
Uses of MultiMap in io.vertx.ext.auth.authorization
Methods in io.vertx.ext.auth.authorization that return MultiMapMethods in io.vertx.ext.auth.authorization with parameters of type MultiMap -
Uses of MultiMap in io.vertx.ext.mail
Methods in io.vertx.ext.mail that return MultiMapModifier and TypeMethodDescriptionMailAttachment.getHeaders()Get the headers to be added for this attachment.MailMessage.getHeaders()Get the headers.Methods in io.vertx.ext.mail with parameters of type MultiMapModifier and TypeMethodDescriptionMailAttachment.setHeaders(MultiMap headers) Set the headers to be added for this attachment.MailMessage.setHeaders(MultiMap headers) Set the headers. -
Uses of MultiMap in io.vertx.ext.mail.mailencoder
Methods in io.vertx.ext.mail.mailencoder that return MultiMap -
Uses of MultiMap in io.vertx.ext.web
Methods in io.vertx.ext.web that return MultiMapModifier and TypeMethodDescriptionRoutingContext.queryParams()Returns a map of all query parameters inside the query string
The query parameters are lazily decoded: the decoding happens on the first time this method is called.RoutingContext.queryParams(Charset encoding) Always decode the current query string with the givenencoding. -
Uses of MultiMap in io.vertx.ext.web.api.service
Methods in io.vertx.ext.web.api.service that return MultiMapModifier and TypeMethodDescriptionServiceRequest.getHeaders()Get request headersServiceResponse.getHeaders()Methods in io.vertx.ext.web.api.service with parameters of type MultiMapModifier and TypeMethodDescriptionServiceRequest.setHeaders(MultiMap headers) ServiceResponse.setHeaders(MultiMap headers) Constructors in io.vertx.ext.web.api.service with parameters of type MultiMapModifierConstructorDescriptionServiceRequest(JsonObject params, MultiMap headers, JsonObject user, JsonObject extra) ServiceResponse(Integer statusCode, String statusMessage, Buffer payload, MultiMap headers) -
Uses of MultiMap in io.vertx.ext.web.client
Methods in io.vertx.ext.web.client that return MultiMapModifier and TypeMethodDescriptionHttpRequest.headers()HttpRequest.queryParams()Return the current query parameters.HttpResponse.trailers()Methods in io.vertx.ext.web.client with parameters of type MultiMapModifier and TypeMethodDescriptionHttpRequest.putHeaders(MultiMap headers) Configure the request to add multiple HTTP headers .LikeHttpRequest.send()but with an HTTP requestbodymultimap encoded as form and the content type set toapplication/x-www-form-urlencoded.LikeHttpRequest.send()but with an HTTP requestbodymultimap encoded as form and the content type set toapplication/x-www-form-urlencoded. -
Uses of MultiMap in io.vertx.ext.web.handler.graphql
Method parameters in io.vertx.ext.web.handler.graphql with type arguments of type MultiMapModifier and TypeMethodDescriptionGraphiQLHandlerBuilder.addingHeaders(Function<RoutingContext, MultiMap> factory) Customize the HTTP headers to add to GraphQL requests sent by the GraphiQL user interface. -
Uses of MultiMap in io.vertx.ext.web.handler.sockjs
Methods in io.vertx.ext.web.handler.sockjs that return MultiMap -
Uses of MultiMap in io.vertx.grpc.client
Methods in io.vertx.grpc.client that return MultiMap -
Uses of MultiMap in io.vertx.grpc.common
Methods in io.vertx.grpc.common that return MultiMap -
Uses of MultiMap in io.vertx.grpc.server
Methods in io.vertx.grpc.server that return MultiMap -
Uses of MultiMap in io.vertx.httpproxy
Methods in io.vertx.httpproxy that return MultiMapMethod parameters in io.vertx.httpproxy with type arguments of type MultiMapModifier and TypeMethodDescriptionProxyInterceptorBuilder.transformingQueryParams(Handler<MultiMap> updater) Apply modifications to the query parameters.ProxyInterceptorBuilder.transformingRequestHeaders(Handler<MultiMap> requestHeadersUpdater) Apply callbacks to change the request headers when the proxy receives them.ProxyInterceptorBuilder.transformingResponseHeaders(Handler<MultiMap> responseHeadersUpdater) Apply callbacks to change the response headers when the proxy receives them. -
Uses of MultiMap in io.vertx.httpproxy.spi.cache
Methods in io.vertx.httpproxy.spi.cache that return MultiMapMethods in io.vertx.httpproxy.spi.cache with parameters of type MultiMapConstructors in io.vertx.httpproxy.spi.cache with parameters of type MultiMap -
Uses of MultiMap in io.vertx.mqtt
Methods in io.vertx.mqtt that return MultiMapModifier and TypeMethodDescriptionMqttEndpoint.httpHeaders()Returns the HTTP headers sent by the client when a WebSocket transport is used otherwisenull -
Uses of MultiMap in io.vertx.reactivex.core.eventbus
Methods in io.vertx.reactivex.core.eventbus that return MultiMap -
Uses of MultiMap in io.vertx.reactivex.core.http
Methods in io.vertx.reactivex.core.http that return MultiMapModifier and TypeMethodDescriptionHttpServerRequest.formAttributes()Returns a map of all form attributes in the request.ClientWebSocket.headers()Returns the HTTP headers.HttpClientRequest.headers()HttpClientResponse.headers()static MultiMapHttpHeaders.headers()static MultiMapHttpHeaders.headers(HttpVersion version) HttpRequestHead.headers()HttpResponseHead.headers()HttpServerResponse.headers()ServerWebSocket.headers()Returns the HTTP headers.ServerWebSocketHandshake.headers()Returns the HTTP headers.WebSocket.headers()Returns the HTTP headers.WebSocketBase.headers()Returns the HTTP headers.HttpServerRequest.params()HttpServerRequest.params(boolean semicolonIsNormalChar) static MultiMapHttpHeaders.set(CharSequence name, CharSequence value) static MultiMapHttpClientResponse.trailers()HttpServerResponse.trailers()Methods in io.vertx.reactivex.core.http with parameters of type MultiMapModifier and TypeMethodDescriptionHttpServerResponse.push(HttpMethod method, HostAndPort authority, String path, MultiMap headers) Push a response to the client.HttpServerResponse.push(HttpMethod method, String path, MultiMap headers) LikeHttpServerResponse.push(HttpMethod, HostAndPort, String)with the host copied from the current request.HttpServerResponse.rxPush(HttpMethod method, HostAndPort authority, String path, MultiMap headers) Push a response to the client.HttpServerResponse.rxPush(HttpMethod method, String path, MultiMap headers) LikeHttpServerResponse.push(HttpMethod, HostAndPort, String)with the host copied from the current request.HttpServerResponse.rxWriteEarlyHints(MultiMap headers) Used to write an interim 103 Early Hints response to return some HTTP headers before the final HTTP message.HttpServerResponse.writeEarlyHints(MultiMap headers) Used to write an interim 103 Early Hints response to return some HTTP headers before the final HTTP message.Method parameters in io.vertx.reactivex.core.http with type arguments of type MultiMapModifier and TypeMethodDescriptionHttpClientRequest.earlyHintsHandler(Handler<MultiMap> handler) If the server responds with an interim HTTP response with a status code of103and a Early Hints handler has been set using this method, then thehandlerwill be called. -
Uses of MultiMap in io.vertx.reactivex.ext.auth.authorization
Methods in io.vertx.reactivex.ext.auth.authorization that return MultiMapMethods in io.vertx.reactivex.ext.auth.authorization with parameters of type MultiMap -
Uses of MultiMap in io.vertx.reactivex.ext.mail
Methods in io.vertx.reactivex.ext.mail that return MultiMapModifier and TypeMethodDescriptionMailAttachment.getHeaders()Get the headers to be added for this attachment.Methods in io.vertx.reactivex.ext.mail with parameters of type MultiMapModifier and TypeMethodDescriptionMailAttachment.setHeaders(MultiMap headers) Set the headers to be added for this attachment. -
Uses of MultiMap in io.vertx.reactivex.ext.web
Methods in io.vertx.reactivex.ext.web that return MultiMapModifier and TypeMethodDescriptionRoutingContext.queryParams()Returns a map of all query parameters inside the query string
The query parameters are lazily decoded: the decoding happens on the first time this method is called.RoutingContext.queryParams(Charset encoding) Always decode the current query string with the givenencoding. -
Uses of MultiMap in io.vertx.reactivex.ext.web.client
Methods in io.vertx.reactivex.ext.web.client that return MultiMapModifier and TypeMethodDescriptionHttpRequest.headers()HttpResponse.headers()HttpRequest.queryParams()Return the current query parameters.HttpResponse.trailers()Methods in io.vertx.reactivex.ext.web.client with parameters of type MultiMapModifier and TypeMethodDescriptionHttpRequest.putHeaders(MultiMap headers) Configure the request to add multiple HTTP headers .HttpRequest.rxSendForm(MultiMap body) LikeHttpRequest.send()but with an HTTP requestbodymultimap encoded as form and the content type set toapplication/x-www-form-urlencoded.HttpRequest.rxSendForm(MultiMap body, String charset) LikeHttpRequest.send()but with an HTTP requestbodymultimap encoded as form and the content type set toapplication/x-www-form-urlencoded.LikeHttpRequest.send()but with an HTTP requestbodymultimap encoded as form and the content type set toapplication/x-www-form-urlencoded.LikeHttpRequest.send()but with an HTTP requestbodymultimap encoded as form and the content type set toapplication/x-www-form-urlencoded. -
Uses of MultiMap in io.vertx.reactivex.ext.web.handler.graphql
Method parameters in io.vertx.reactivex.ext.web.handler.graphql with type arguments of type MultiMapModifier and TypeMethodDescriptionGraphiQLHandlerBuilder.addingHeaders(Function<RoutingContext, MultiMap> factory) Customize the HTTP headers to add to GraphQL requests sent by the GraphiQL user interface. -
Uses of MultiMap in io.vertx.reactivex.ext.web.handler.sockjs
Methods in io.vertx.reactivex.ext.web.handler.sockjs that return MultiMap -
Uses of MultiMap in io.vertx.reactivex.grpc.client
Methods in io.vertx.reactivex.grpc.client that return MultiMap -
Uses of MultiMap in io.vertx.reactivex.grpc.common
Methods in io.vertx.reactivex.grpc.common that return MultiMap -
Uses of MultiMap in io.vertx.reactivex.grpc.server
Methods in io.vertx.reactivex.grpc.server that return MultiMap -
Uses of MultiMap in io.vertx.reactivex.mqtt
Methods in io.vertx.reactivex.mqtt that return MultiMapModifier and TypeMethodDescriptionMqttEndpoint.httpHeaders()Returns the HTTP headers sent by the client when a WebSocket transport is used otherwisenull -
Uses of MultiMap in io.vertx.rxjava3.core.eventbus
Methods in io.vertx.rxjava3.core.eventbus that return MultiMap -
Uses of MultiMap in io.vertx.rxjava3.core.http
Methods in io.vertx.rxjava3.core.http that return MultiMapModifier and TypeMethodDescriptionHttpServerRequest.formAttributes()Returns a map of all form attributes in the request.ClientWebSocket.headers()Returns the HTTP headers.HttpClientRequest.headers()HttpClientResponse.headers()static MultiMapHttpHeaders.headers()static MultiMapHttpHeaders.headers(HttpVersion version) HttpRequestHead.headers()HttpResponseHead.headers()HttpServerResponse.headers()ServerWebSocket.headers()Returns the HTTP headers.ServerWebSocketHandshake.headers()Returns the HTTP headers.WebSocket.headers()Returns the HTTP headers.WebSocketBase.headers()Returns the HTTP headers.HttpServerRequest.params()HttpServerRequest.params(boolean semicolonIsNormalChar) static MultiMapHttpHeaders.set(CharSequence name, CharSequence value) static MultiMapHttpClientResponse.trailers()HttpServerResponse.trailers()Methods in io.vertx.rxjava3.core.http with parameters of type MultiMapModifier and TypeMethodDescriptionHttpServerResponse.push(HttpMethod method, HostAndPort authority, String path, MultiMap headers) Push a response to the client.HttpServerResponse.push(HttpMethod method, String path, MultiMap headers) LikeHttpServerResponse.push(HttpMethod, HostAndPort, String)with the host copied from the current request.HttpServerResponse.rxPush(HttpMethod method, HostAndPort authority, String path, MultiMap headers) Push a response to the client.HttpServerResponse.rxPush(HttpMethod method, String path, MultiMap headers) LikeHttpServerResponse.push(HttpMethod, HostAndPort, String)with the host copied from the current request.HttpServerResponse.rxWriteEarlyHints(MultiMap headers) Used to write an interim 103 Early Hints response to return some HTTP headers before the final HTTP message.HttpServerResponse.writeEarlyHints(MultiMap headers) Used to write an interim 103 Early Hints response to return some HTTP headers before the final HTTP message.Method parameters in io.vertx.rxjava3.core.http with type arguments of type MultiMapModifier and TypeMethodDescriptionHttpClientRequest.earlyHintsHandler(Handler<MultiMap> handler) If the server responds with an interim HTTP response with a status code of103and a Early Hints handler has been set using this method, then thehandlerwill be called. -
Uses of MultiMap in io.vertx.rxjava3.ext.auth.authorization
Methods in io.vertx.rxjava3.ext.auth.authorization that return MultiMapMethods in io.vertx.rxjava3.ext.auth.authorization with parameters of type MultiMap -
Uses of MultiMap in io.vertx.rxjava3.ext.mail
Methods in io.vertx.rxjava3.ext.mail that return MultiMapModifier and TypeMethodDescriptionMailAttachment.getHeaders()Get the headers to be added for this attachment.Methods in io.vertx.rxjava3.ext.mail with parameters of type MultiMapModifier and TypeMethodDescriptionMailAttachment.setHeaders(MultiMap headers) Set the headers to be added for this attachment. -
Uses of MultiMap in io.vertx.rxjava3.ext.web
Methods in io.vertx.rxjava3.ext.web that return MultiMapModifier and TypeMethodDescriptionRoutingContext.queryParams()Returns a map of all query parameters inside the query string
The query parameters are lazily decoded: the decoding happens on the first time this method is called.RoutingContext.queryParams(Charset encoding) Always decode the current query string with the givenencoding. -
Uses of MultiMap in io.vertx.rxjava3.ext.web.client
Methods in io.vertx.rxjava3.ext.web.client that return MultiMapModifier and TypeMethodDescriptionHttpRequest.headers()HttpResponse.headers()HttpRequest.queryParams()Return the current query parameters.HttpResponse.trailers()Methods in io.vertx.rxjava3.ext.web.client with parameters of type MultiMapModifier and TypeMethodDescriptionHttpRequest.putHeaders(MultiMap headers) Configure the request to add multiple HTTP headers .HttpRequest.rxSendForm(MultiMap body) LikeHttpRequest.send()but with an HTTP requestbodymultimap encoded as form and the content type set toapplication/x-www-form-urlencoded.HttpRequest.rxSendForm(MultiMap body, String charset) LikeHttpRequest.send()but with an HTTP requestbodymultimap encoded as form and the content type set toapplication/x-www-form-urlencoded.LikeHttpRequest.send()but with an HTTP requestbodymultimap encoded as form and the content type set toapplication/x-www-form-urlencoded.LikeHttpRequest.send()but with an HTTP requestbodymultimap encoded as form and the content type set toapplication/x-www-form-urlencoded. -
Uses of MultiMap in io.vertx.rxjava3.ext.web.handler.graphql
Method parameters in io.vertx.rxjava3.ext.web.handler.graphql with type arguments of type MultiMapModifier and TypeMethodDescriptionGraphiQLHandlerBuilder.addingHeaders(Function<RoutingContext, MultiMap> factory) Customize the HTTP headers to add to GraphQL requests sent by the GraphiQL user interface. -
Uses of MultiMap in io.vertx.rxjava3.ext.web.handler.sockjs
Methods in io.vertx.rxjava3.ext.web.handler.sockjs that return MultiMap -
Uses of MultiMap in io.vertx.rxjava3.grpc.client
Methods in io.vertx.rxjava3.grpc.client that return MultiMap -
Uses of MultiMap in io.vertx.rxjava3.grpc.common
Methods in io.vertx.rxjava3.grpc.common that return MultiMap -
Uses of MultiMap in io.vertx.rxjava3.grpc.server
Methods in io.vertx.rxjava3.grpc.server that return MultiMap -
Uses of MultiMap in io.vertx.rxjava3.httpproxy
Methods in io.vertx.rxjava3.httpproxy that return MultiMapMethod parameters in io.vertx.rxjava3.httpproxy with type arguments of type MultiMapModifier and TypeMethodDescriptionProxyInterceptorBuilder.transformingQueryParams(Handler<MultiMap> updater) Apply modifications to the query parameters.ProxyInterceptorBuilder.transformingRequestHeaders(Handler<MultiMap> requestHeadersUpdater) Apply callbacks to change the request headers when the proxy receives them.ProxyInterceptorBuilder.transformingResponseHeaders(Handler<MultiMap> responseHeadersUpdater) Apply callbacks to change the response headers when the proxy receives them. -
Uses of MultiMap in io.vertx.rxjava3.mqtt
Methods in io.vertx.rxjava3.mqtt that return MultiMapModifier and TypeMethodDescriptionMqttEndpoint.httpHeaders()Returns the HTTP headers sent by the client when a WebSocket transport is used otherwisenull